<?php
/**
 * @version     1.0.0
 * @package     SalesKing PHP SDK Tests
 * @license     MIT License; see LICENSE
 * @copyright   Copyright (C) 2012 David Jardin
 * @link        http://www.salesking.eu
 */

require_once (dirname(__FILE__).'/../src/salesking.php');

/**
 * Test class for SaleskingException.
 * Generated by PHPUnit on 2012-04-23 at 17:45:46.
 */
class SaleskingExceptionTest extends PHPUnit_Framework_TestCase
{
    /**
     * @var SaleskingException
     */
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp()
    {
        $this->object = new SaleskingException("CODE","MESSAGE","ERRORS");
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown()
    {
    }

    /**
     * @covers SaleskingException::getErrors
     */
    public function testGetErrors()
    {
        $this->assertEquals("ERRORS",$this->object->getErrors());
    }

    /**
     * @covers SaleskingException::__construct
     */
    public function test__construct()
    {
        $exception = new SaleskingException("CODE","MESSAGE","ERRORS");
        $this->assertEquals("ERRORS",$exception->getErrors());
        $this->assertEquals("MESSAGE",$exception->getMessage());
        $this->assertEquals("CODE",$exception->getCode());

    }
}
?>
